Subject: [PATCH] allow guilt to handle binary files

From: Yasushi SHOJI <[email-masked]>
Date: Wed, 4 Mar 2009 23:19:32 +0900

git plumbings has been working with binary diff for a while.  this one
liner enable guilt to use those capabilities.

Signed-off-by: Yasushi SHOJI <[email-masked]>
---
Hi Jeff,

I just found out that guilt does not yet support binary patch
capability git has for a while.

so, before I leave my office, I just tried guilt with this one liner.
the result was:

 - my local test with biniary files work (pop/push was check with md5), and
 - all regression test completed without any error

I felt that I just send it out. :-) 

# Note: I've googled "guilt bianry" before sending this but could not
# find any.  I'm not following nether git nor guilt development for a
# while. so, let me know if I'm off track.

thanks,

 guilt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/guilt b/guilt
index c98fd30..17a6288 100755
--- a/guilt
+++ b/guilt
@@ -689,7 +689,7 @@ __refresh_patch()
 		fi
 
 		# get the new patch
-		git diff $diffopts "$2" >> "$TMP_DIFF"
+		git diff --binary $diffopts "$2" >> "$TMP_DIFF"
 
 		# move the new patch in
 		mv "$p" "$p~"
-- 
1.6.1.rc3.51.g5832d